curl --request GET \
--url https://api.coralogix.com/mgmt/openapi/5/alerts/alerts/v3/all/download \
--header 'Authorization: <api-key>'import requests
url = "https://api.coralogix.com/mgmt/openapi/5/alerts/alerts/v3/all/download"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.coralogix.com/mgmt/openapi/5/alerts/alerts/v3/all/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": "SGVsbG8gV29ybGQ=",
"notFoundIds": [
"123e4567-e89b-12d3-a456-426614174000"
]
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}Download alerts
Download alert definitions in base64-encoded byte format. When ids are provided, only those alert definitions are downloaded; otherwise all accessible alert definitions are downloaded.
Requires the following permissions:
alerts:ReadConfig
Authorizations
API key authentication
Query Parameters
Optional list of alert definition IDs to download. When empty, all accessible alert definitions are downloaded. IDs that are not found or not accessible are omitted from the download and reported in the response notFoundIds (no error is returned for them).
1000Optional list of alert definition IDs to download. When empty, all accessible alert definitions are downloaded. IDs that are not found or not accessible are omitted from the download and reported in the response notFoundIds (no error is returned for them).
36^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$["123e4567-e89b-12d3-a456-426614174000"]
Response
A response containing the downloaded alert data
Base64-encoded binary data of the alert definitions
"SGVsbG8gV29ybGQ="
Requested alert definition IDs that were not included in the download because they were not found or are not accessible. Populated on the first streamed message.
1000Requested alert definition IDs that were not included in the download because they were not found or are not accessible. Populated on the first streamed message.
36^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$["123e4567-e89b-12d3-a456-426614174000"]
Was this page helpful?